Bug 221277 - [patch] devel/py3-pytz: make it a slave port of devel/py-pytz
Summary: [patch] devel/py3-pytz: make it a slave port of devel/py-pytz
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Li-Wen Hsu
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-08-06 12:19 UTC by rsmith
Modified: 2017-08-14 12:56 UTC (History)
2 users (show)

See Also:


Attachments
Patch to make devel/py-pytz ready as a master port (372 bytes, patch)
2017-08-06 12:19 UTC, rsmith
no flags Details | Diff
Patch to make devel/py3-pytz a slave port. (1.70 KB, patch)
2017-08-06 12:20 UTC, rsmith
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rsmith 2017-08-06 12:19:36 UTC
Created attachment 185087 [details]
Patch to make devel/py-pytz ready as a master port

At the moment, devel/py3-pytz is independent of py-pytz, and it wasn't updated to 2017.2.

The enclosed patches fix that.

The patch 'py-pytz.patch' makes USES overridable by the slave port. It also sets NO_ARCH, since the port doesn't seem to include architecture specific (compiled) files.

The patch 'py3-pytz.patch' simplifies the port Makefile like that of devel/py3-dateutil and removes the pkg-plist and distinfo, since those of the master port will be used.
Comment 1 rsmith 2017-08-06 12:20:32 UTC
Created attachment 185088 [details]
Patch to make devel/py3-pytz a slave port.
Comment 2 Li-Wen Hsu freebsd_committer 2017-08-06 21:02:03 UTC
Over to maintainer.
Comment 3 Li-Wen Hsu freebsd_committer 2017-08-10 10:57:32 UTC
bofh: by applying this patch, I will become the maintainer of devel/py3-pytz, I'm ok and happy to.  I am also fine if you want to keep maintainership of this slave port.
Comment 4 Muhammad Moinur Rahman freebsd_committer 2017-08-14 00:24:09 UTC
Can't recall why created this but if I require I will retake. Please commit am on the run and away from my builder
Comment 5 commit-hook freebsd_committer 2017-08-14 12:56:36 UTC
A commit references this bug:

Author: lwhsu
Date: Mon Aug 14 12:56:18 UTC 2017
New revision: 447934
URL: https://svnweb.freebsd.org/changeset/ports/447934

Log:
  Make devel/py3-pytz a slave port of devel/py-pytz

  PR:		221277
  Submitted by:	rsmith@xs4all.nl
  Approved by:	bofh (maintainer of devel/py3-pytz)

Changes:
  head/devel/py-pytz/Makefile
  head/devel/py3-pytz/Makefile
  head/devel/py3-pytz/distinfo
  head/devel/py3-pytz/pkg-descr